Token Management
Manage security settings for Accounts and Workspaces
List Tokens GA
GET
Lists all tokens associated with the specified workspace or user.
API scopes: authentication
Parameters
- created_by_idint64query
User ID of the user that created the token.
- created_by_usernamestringquery
Username of the user that created the token.
Response
- token_infosarray of object
Token metadata of each user-created token in the workspace
Show child attributesHide child attributes
- token_idstring
ID of the token.
- creation_timeint64
Timestamp when the token was created.
- expiry_timeint64
Timestamp when the token expires.
- commentstring
Comment that describes the purpose of the token, specified by the token creator.
- created_by_idint64
User ID of the user that created the token.
- created_by_usernamestring
Username of the user that created the token.
- owner_idint64
User ID of the user that owns the token.
- workspace_idint64
If applicable, the ID of the workspace that the token was created in.
- last_used_dayint64
Approximate timestamp for the day the token was last used. Accurate up to 1 day.
- scopesarray of string
Scope of the token was created with, if applicable.
Update Token GA
PATCH
Updates a token, specified by its ID.
API scopes: authentication
Parameters
- tokenobjectpath
Show child attributesHide child attributes
- token_idstring
ID of the token.
- creation_timeint64
Timestamp when the token was created.
- expiry_timeint64
Timestamp when the token expires.
- commentstring
Comment that describes the purpose of the token, specified by the token creator.
- created_by_idint64
User ID of the user that created the token.
- created_by_usernamestring
Username of the user that created the token.
- owner_idint64
User ID of the user that owns the token.
- workspace_idint64
If applicable, the ID of the workspace that the token was created in.
- last_used_dayint64
Approximate timestamp for the day the token was last used. Accurate up to 1 day.
- scopesarray of string
Scope of the token was created with, if applicable.
Request body
- update_maskstring
A list of field name under token, For example, {"update_mask": "comment,scopes"}
Response
- token_idstring
ID of the token.
- creation_timeint64
Timestamp when the token was created.
- expiry_timeint64
Timestamp when the token expires.
- commentstring
Comment that describes the purpose of the token, specified by the token creator.
- created_by_idint64
User ID of the user that created the token.
- created_by_usernamestring
Username of the user that created the token.
- owner_idint64
User ID of the user that owns the token.
- workspace_idint64
If applicable, the ID of the workspace that the token was created in.
- last_used_dayint64
Approximate timestamp for the day the token was last used. Accurate up to 1 day.
- scopesarray of string
Scope of the token was created with, if applicable.